#to get nodejs_modules added to the source tarball
#!/bin/sh
version=$(rpm -q --specfile --qf='%{version}\n' ../SPECS/python-nbclassic.spec | head -n1)
logfile=./python-nbclassic-$version.log
{
echo ">>> Get source from GitHub"
rm -f nbclassic-v$version-bundled.tar.gz v$version.tar.gz
wget https://github.com/jupyter/nbclassic/archive/refs/tags/v$version.tar.gz
tar -zxf v$version.tar.gz
pushd nbclassic-$version
echo ">>> 1-npm install --legacy-peer-deps"
npm install --legacy-peer-deps
echo ">>> 2-npm audit fix --legacy-peer-deps"
npm audit fix --legacy-peer-deps
echo ">>> bower install"
node_modules/bower/bin/bower install --allow-root --config.interactive=false
echo ">>> Create tarball"
popd
tar -zcf nbclassic-v$version-bundled.tar.gz nbclassic-$version
echo ">>> Clean"
rm -rf nbclassic-$version v$version.tar.gz package-lock.json
echo -e "\n>>> Running with npm@$(npm --version), update accordingly npm_ver in python-nbclassic.spec <<<\n"
} 2>&1 | tee ${logfile}
