%{?!python_module:%define python_module() python3-%{**}}

Name:           python-nbclassic
Version:        1.2.0
Release:        %mkrel 1
Summary:        Jupyter Notebook as a Jupyter Server Extension
License:        BSD-3-Clause
Group:          Development/Python
URL:            https://github.com/jupyterlab/nbclassic
# The github archive has the tests
Source:         nbclassic-v%{version}-bundled.tar.gz
# to execute in SOURCES directory to build the tarball including npm install and bower install results
Source1:        nbclassic-tarball.sh
BuildRequires:  pyproject-rpm-macros
BuildRequires:  %{python_module jupyter-server >= 1.1}
BuildRequires:  jupyter-notebook
BuildRequires:  python3-devel
BuildRequires:  git
Requires:       jupyter-nbclassic = %{version}
Requires:       python-jupyter-server >= 1.1
Requires:       python-notebook
# SECTION test requirements
# BuildRequires:  python3dist(pytest)
# /SECTION
BuildArch:      noarch

%description
NBClassic runs the Jupyter Notebook frontend on the Jupyter Server backend.

This project prepares for a future where JupyterLab and other frontends switch
to Jupyter Server for their Python Web application backend. Using this package,
users can launch Jupyter Notebook, JupyterLab and other frontends side-by-side
on top of the new Python server backend.

%package -n jupyter-nbclassic
Summary:        Jupyter Notebook as a Jupyter Server Extension

%description -n jupyter-nbclassic
NBClassic runs the Jupyter Notebook frontend on the Jupyter Server backend.

This project prepares for a future where JupyterLab and other frontends switch
to Jupyter Server for their Python Web application backend. Using this package,
users can launch Jupyter Notebook, JupyterLab and other frontends side-by-side
on top of the new Python server backend.

This package contains the jupyterlab server configuration file

%package -n python3-nbclassic
Summary:        Jupyter Notebook as a Jupyter Server Extension

%description -n python3-nbclassic
NBClassic runs the Jupyter Notebook frontend on the Jupyter Server backend.

This project prepares for a future where JupyterLab and other frontends switch
to Jupyter Server for their Python Web application backend. Using this package,
users can launch Jupyter Notebook, JupyterLab and other frontends side-by-side
on top of the new Python server backend.

This package contains the jupyterlab server configuration file

%prep
%setup -q -n nbclassic-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files nbclassic

install -m 644 -D -t %{buildroot}%{_sysconfdir}/jupyter/jupyter_server_config.d/ jupyter_server_config.d/*
rm -Rf  %{buildroot}/usr/%{_sysconfdir}/


%files -n python3-nbclassic -f %{pyproject_files}
%doc README.md
%license LICENSE
%{_bindir}/jupyter-nbclassic
%{_bindir}/jupyter-nbclassic-bundlerextension
%{_bindir}/jupyter-nbclassic-extension
%{_bindir}/jupyter-nbclassic-serverextension
%{_datadir}/applications/jupyter-nbclassic.desktop
%{_datadir}/icons/hicolor/scalable/apps/nbclassic.svg

%files -n jupyter-nbclassic
%license LICENSE
%config %{_sysconfdir}/jupyter/jupyter_server_config.d/nbclassic.json


%changelog
* Sun Mar 09 2025 daviddavid <daviddavid> 1.2.0-1.mga10
+ Revision: 2162163
- new version: 1.2.0
+ wally <wally>
- rebuild for python3.13

* Tue Jan 02 2024 papoteur <papoteur> 1.0.0-1.mga10
+ Revision: 2026394
- not yet tests, some packages are not imported
- new version 1.0.0
- add script to get the tarball
- use pyproject macros

* Thu Nov 03 2022 papoteur <papoteur> 0.2.6-5.mga9
+ Revision: 1902026
- rebuild for fastjsonschema dependency

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 0.2.6-3.mga9
+ Revision: 1783668
- rebuild for python-3.10

* Thu Apr 08 2021 joequant <joequant> 0.2.6-2.mga9
+ Revision: 1714097
- fix python-nbclassic deps

* Wed Apr 07 2021 joequant <joequant> 0.2.6-1.mga9
+ Revision: 1713993
- fix deps
- imported package python-nbclassic

